<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('include/file.php');
require_once('conf.inc.php');


// check
	if (!$_GET['mb_id'] || !$_GET['mf_no'] )
		msg('올바른 URL로 접근하여 주십시오');


// data
	$DEBUG['db_select']['start'] = getmicrotime();

	// set data
		$mail_file_table = $AUTH[auth_m_mf_table];

	// db - select
		$sql = "
			SELECT
				mf_filename
			FROM
				$mail_file_table
			WHERE
				mf_no='" . $_GET['mf_no'] . "'
				AND m_no='" . $AUTH['auth_m_no'] . "'
				AND mb_id='". $_GET['mb_id']. "'
			";
		$row = db_get_row($sql);

		if (!$row)
			msg("존재하지 않는 메일입니다.\\n\\n이미 삭제되었거나 다른 편지함으로 옮겨졌을 수 있습니다.");
	$DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];


	// [2013-04-30] POP3 등으로 메일파일이 먼저 삭제된 경우, 에러를 정확하게 보여줌.
	$mf_dir = get_mail_dir().'/'.get_mb_dir($_GET['mb_id']).'/';
	if ($row['mf_filename'] && !file_exists($mf_dir.$row['mf_filename']))
	{
		$sql = "
			DELETE
			FROM
				".$AUTH[auth_m_mf_table]."
			WHERE
				mf_no='" . $_GET['mf_no'] . "'
				AND m_no='" . $AUTH['auth_m_no'] . "'
				AND mb_id='" . $_GET['mb_id'] . "'
			";
		db_query($sql);
		msg("존재하지 않는 메일입니다.\\n\\n아웃룩등의 메일클라이언트에서 POP3 서비스를 통해 메일을 가져갈때\\n\\n[서버에 메시지 복사본 저장]옵션을 체크하지 않아 삭제되었을 가능성이 높습니다.");
	}	// if()

	// db disconnect
		unset_db();


// download
		$UPLOAD_ROOT = get_mail_dir();
		$upload_dir = get_mb_dir($_GET['mb_id']);
		$errorMsg = file_down($row['mf_filename'], '', $upload_dir);
		if ($errorMsg)
			error("메일다운로드가 실패하였습니다.\n=> " . $UPLOAD_ROOT . '/' . $upload_dir . '/' . $row['mf_filename'] . $errorMsg, 'FILE');

// 다운로드를 위해 디버깅정보 생략.
//require_once('include/global_end.php');
?>